summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-06-09 14:58:04 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-06-09 14:58:04 +0000
commita909a1d044996db88a9efb9902f83d618e749f2d (patch)
tree63035e4b42dcf239104b05065c4372ac16b54e48 /ci
parentc386b37766ddc8864fb674887573984d4fbe16ce (diff)
parent91ad04d19603a847007b114422032e4193d6e1fd (diff)
Merge "added a new pod cengn pod1"
Diffstat (limited to 'ci')
-rwxr-xr-xci/02-maasdeploy.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/ci/02-maasdeploy.sh b/ci/02-maasdeploy.sh
index b1b7e214..4634b4db 100755
--- a/ci/02-maasdeploy.sh
+++ b/ci/02-maasdeploy.sh
@@ -77,6 +77,11 @@ else
'cengnlynxpod1' )
cp maas/cengn_lynx/pod1/deployment.yaml ./deployment.yaml
;;
+ 'cengnpod1' )
+ cp ../labconfig/cengn/pod1/labconfig.yaml ./
+ #to be removed later once converted for all labs.
+ python deploy.py
+ ;;
* )
virtinstall=1
labname="default"
@@ -293,6 +298,10 @@ case "$labname" in
enableautomode eth1.1201 AUTO "172.16.121.3/24" compute || true
enableautomode eth1.1201 AUTO "172.16.121.3/24" control || true
;;
+ 'cengnpod1' )
+ maas refresh
+ enableautomode eth2 AUTO "172.16.20.0/24" || true
+ ;;
esac
enable_if